> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of contracts

> List all contracts created by a specific Sendforsign client, with their keys and statuses.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

### Response

**contracts** `string`

Array of contracts.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**contractKey** `string`

ID of the contract.

**name** `string`

Name of the contract.

**status** `string`

Status of the contract.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/contract' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
				   "action": "list",
				   "clientKey": "YOUR_CLIENT_KEY"
				  }
     }'
```

```json Response theme={null}
	{
       "contracts": [

        {
            "createTime": "2024-11-25T08:07:23.000Z",
            "changeTime": "2024-11-25T08:07:25.000Z",
            "contractKey": "93447fb5-91ee-41ad-9f73-b4ae2d467292",
            "name": "IPPDF",
            "status": "Created"
        },
        {
            "createTime": "2024-11-18T13:27:21.000Z",
            "changeTime": "2024-11-21T11:29:47.000Z",
            "contractKey": "ac2a37e8-d5d6-4468-b1bb-29152a31d85d",
            "name": "A test contract",
            "status": "Created"
        }
        ],
       "code": "200",
       "message": "Contracts found"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.